Rensei docs

Edit a credential set (org admin).

Edit a credential set (org admin). - Rensei REST API operation reference.

PATCH
/api/org/{orgId}/credential-sets/{setId}

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

setId*string

Credential set id (cset_*).

Query Parameters

confirmInUse?string

Pass true (or 1) to confirm a mutation while the set is in use.

Request Body

application/json
  1. body
name?string
Length1 <= length
description?string|null
projectId?|
Length1 <= length
visibleToProjectIds?array<>|null

Response Body

Credential set updated.

application/json
  1. response
ok*boolean
set*
Example Request
curl -X PATCH 'https://app.rensei.ai/api/org/string/credential-sets/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "ok": true,  "set": {    "id": "string",    "orgId": "string",    "projectId": "string",    "visibleToProjectIds": [      "string"    ],    "name": "string",    "description": "string",    "createdBy": "string",    "createdAt": "string",    "updatedAt": "string",    "deletedAt": "string",    "property1": null,    "property2": null  }}